Subject: Re: bug#30312: documentation: misleading EFI partitioning instructions

From: Gábor Boskovits <[email-masked]>
Date: Thu, 1 Feb 2018 12:01:15 +0100

2018-02-01 10:13 GMT+01:00 Gábor Boskovits <[email-masked]>:

> 2018-01-31 20:01 GMT+01:00 Ricardo Wurmus <[email-masked]>:
>
>> The manual section “Preparing for Installation: Disk Partitioning” says
>> this:
>>
>> --8<---------------cut here---------------start------------->8---
>>    If your disk uses the GUID Partition Table (GPT) format and you plan
>> to install BIOS-based GRUB (which is the default), make sure a BIOS Boot
>> Partition is available (*note (grub)BIOS installation::).
>>
>>    If you instead wish to use EFI-based GRUB, a FAT32 “EFI System
>> Partition” (ESP) is required.  This partition should be mounted at
>> ‘/boot/efi’ and must have the ‘esp’ flag set.  E.g., for ‘parted’:
>>
>>      parted /dev/sda set 1 esp on
>>
>>    Once you are done partitioning the target hard disk drive, you have
>> to create a file system on the relevant partition(s)(1).  For the ESP,
>> if you have one and assuming it is ‘/dev/sda2’, run:
>>
>>      mkfs.fat -F32 /dev/sda2
>> --8<---------------cut here---------------end--------------->8---
>>
>> First, this sounds like it’s up to the user to pick either EFI-based
>> GRUB or BIOS-based GRUB.  It is not clear that this is determined by
>> whether the machine has a {BIOS, EFI in legacy mode} or EFI.  It’s
>> really not much of a choice.
>>
>> Second, the “parted” command operates on the first partition (“1”), yet
>> for the second command the second partition (“/dev/sda2”) is used.  It’s
>> better to be consistent here, i.e. to change “set 1 esp on” to “set 2
>> esp on” and to state that this would modify “/dev/sda2”.
>>
>> Finally, it is not clear where the efi partition should be mounted.
>> Should it be /mnt/boot/efi?  If so, should the configuration file
>> specify “/mnt/boot/efi” as the target?  Or should it be “/boot/efi”?
>>
>> An example would be useful here.
>>
>> I agree an example would be nice.
> I will have a look at this when I have time.
> I guess I had done something similar.
>
> I've just looked around and found that we have ovmf in our repository.
It would be nice if we could create a system test and use an ovmf qemu to
test installation.
Once we have that we could get the documentation consistent with a working
testcase.
WDYT?

>> --
>> Ricardo